dots.v2.apps.byApp_Id().deployments.post()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.apps.byApp_Id(app_Id).deployments.post(body: Apps_create_deployment_request, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Apps_deployment_response>Description
Creating an app deployment will pull the latest changes from your repository and schedule a new deployment for your app.
Parameters
Path Parameters
app_Idstring requiredExample:
4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cfThe app ID
Request Body
forceBuildboolean optionalExample:
true
Request Sample
Response Example
More Information
See /v2/apps/{app_id}/deployments in the API reference for additional detail on responses, headers, parameters, and more.